Core - Bug # 41122

Task # 40095 (Resolved): Move core to namespaces

Status: Resolved Priority: Should have
Author: Helmut Hummel Category:

Created: 2012-09-20 Assigned To:

Updated: 2012-11-01 Due date:

TYPOS3 Version: 6.0

PHP Version:

Complexity:

Is Regression:
Sprint Focus:

Subject: Do a class_alias call early in the bootstrap for base classes

Description

Base classes that are required early in the bootstrap (like t3lib_div or t3lib_extmgm)
should be handled with a class_alias to maintain better backwards compatibility

Associated revisions

Revision 50b7f65a - 2012-10-31 23:43 - Helmut Hummel

[BUGFIX] class_alias in the bootstrap for legacy base classes

The legacy base classes t3lib_div and t3lib_extMgm used
to be available early in the bootstrap.

To enable the usage of the old class names a class alias
needs to be set up right after these classes are included.

Change-Id: 13cfa69d9bbca378015ee5ea3c13a6fac032fe9cc
Fixes: #42574

Resolves: #41122

Releases: 6.0

Reviewed-on: http:/review.typo3.org/14776

Reviewed-by: Nicole Cordes
Tested-by: Nicole Cordes
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History

#1 - 2012-09-20 18:15 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14776

#2 - 2012-10-31 23:31 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/14776

#3 - 2012-11-01 00:30 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:50b7f65a30cc2c50708c2e633863e20f4bbae088.
